Skip to main content
GET
/
assets
/
{assetId}
Returns an asset for a given customer
curl --request GET \
  --url https://api.pipevest.com/v1/assets/{assetId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Signature: <signature>' \
  --header 'Signature-Input: <signature-input>' \
  --header 'X-Client-Id: <x-client-id>'
import requests

url = "https://api.pipevest.com/v1/assets/{assetId}"

headers = {
"Signature": "<signature>",
"Signature-Input": "<signature-input>",
"X-Client-Id": "<x-client-id>",
"Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {
Signature: '<signature>',
'Signature-Input': '<signature-input>',
'X-Client-Id': '<x-client-id>',
Authorization: 'Bearer <token>'
}
};

fetch('https://api.pipevest.com/v1/assets/{assetId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "assetId": 123456,
    "instrumentId": 123456,
    "customerId": 123456,
    "name": "Apple Inc.",
    "symbol": "APPL",
    "investmentAmount": 1550,
    "position": 10,
    "locked": 5,
    "available": 5,
    "purchasePrice": 500,
    "marketPrice": 550,
    "createdAt": 1234567890,
    "updatedAt": 1234567890,
    "currency": "ZK"
  },
  "code": 200,
  "message": "Success"
}
{
"code": 401,
"message": "Unauthorized"
}
{
"code": 404,
"message": "Not Found"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Signature
string
required

Base64 encoded signed hash of the http message request components.

Learn how signatures work

Example:

"sig1=:OTEyMjY4...A5NTNDMEQ=:"

Signature-Input
string
required

An ordered list of components that make up the signature base. It is used to recompute and verify the Signature

Learn how signatures work

Example:

"sig1=(\"Content-Type\" \"Content-Digest\"...expires=<expires>"

X-Client-Id
string
required

Unique identifier assigned to the client

Example:

"client-id"

Path Parameters

assetId
integer
required

Unique asset identifier

Example:

123456

Response

A customer asset

data
object
required
code
string
required

Request response code

Example:

200

message
string
required

Request response message

Example:

"Success"